Bug 1029547 - Comment not used when deleting an asset
Comment not used when deleting an asset
Status: CLOSED NOTABUG
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: manstis
Zuzana Krejčová
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-12 10:09 EST by Zuzana Krejčová
Modified: 2016-07-31 21:08 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-25 09:47:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
git log for deleted file ("Dummy rule.drl") (109.99 KB, image/png)
2013-11-25 09:47 EST, manstis
no flags Details
Re-created asset ("Dummy rule.drl") showing delete comment in history (140.25 KB, image/png)
2013-11-25 09:48 EST, manstis
no flags Details

  None (edit)
Description Zuzana Krejčová 2013-11-12 10:09:35 EST
Description of problem:
When deleting an asset, the 'Check in comment' the user is prompted for is never used, even when filled in.
If you delete an asset and fill in 'No longer necessary.' as the comment, the commit message in the underlying git will read 'delete {/<project>/<path>/<package>/<file>}' anyway.
The same is visible if you recreate the asset and look into the Version history.


Version-Release number of selected component (if applicable):
BPMS 6.0 ER4
Comment 1 manstis 2013-11-25 09:47:17 EST
Using the latest codebase (master/.Final community) I cannot replicate this bug.

Deleting a file through the UI leads to the attached git log. Furthermore re-creating the same asset leads to the attached history in the UI.
Comment 2 manstis 2013-11-25 09:47:53 EST
Created attachment 828713 [details]
git log for deleted file ("Dummy rule.drl")
Comment 3 manstis 2013-11-25 09:48:33 EST
Created attachment 828714 [details]
Re-created asset ("Dummy rule.drl") showing delete comment in history

Note You need to log in before you can comment on or make changes to this bug.